Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
Interface ResolvedDependency

    interface ResolvedDependency

author:
  Hans Dockter

Method Summary
`Set` | `getAllArtifacts(ResolvedDependency parent)` Returns a union of the module and parent artifacts of this dependency and its children.
`Set` | `getAllModuleArtifacts()` Returns the module artifacts belonging to this ResolvedDependency and recursively to its children.
`Set` | `getArtifacts(ResolvedDependency parent)` Returns a union of the module and parent artifacts of this dependency.
`Set` | `getChildren()` Returns the transitive ResolvedDependency instances of this resolved dependency.
`java.lang.String` | `getConfiguration()` Returns the configuration under which this instance was resolved.
`java.lang.String` | `getGroup()` Returns the group of the resolved dependency
`Set` | `getModuleArtifacts()` Returns the module artifacts belonging to this ResolvedDependency.
`java.lang.String` | `getName()` Returns the name of the resolved dependency.
`Set` | `getParentArtifacts(ResolvedDependency parent)` Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent.
`Set` | `getParents()` Returns the ResolvedDependency instances that have this instance as a transitive dependency.
`java.lang.String` | `getVersion()` Returns the version of the resolved dependency.

Method Detail

### getAllArtifacts

    public Set getAllArtifacts(ResolvedDependency parent)

  Returns a union of the module and parent artifacts of this dependency and its children. Never returns null.
  param:
    parent A parent of the ResolvedDependency. Must not be null.
  throws:
    org.gradle.api.InvalidUserDataException If the parent is unknown or null

### getAllModuleArtifacts

    public Set getAllModuleArtifacts()

  Returns the module artifacts belonging to this ResolvedDependency and recursively to its children. Returns never null.
  see:
    #getModuleArtifacts()

### getArtifacts

    public Set getArtifacts(ResolvedDependency parent)

  Returns a union of the module and parent artifacts of this dependency. Never returns null.
  param:
    parent A parent of the ResolvedDependency. Must not be null.
  throws:
    org.gradle.api.InvalidUserDataException If the parent is unknown or null

### getChildren

    public Set getChildren()

  Returns the transitive ResolvedDependency instances of this resolved dependency. Returns never null.

### getConfiguration

    public java.lang.String getConfiguration()

  Returns the configuration under which this instance was resolved.

### getGroup

    public java.lang.String getGroup()

  Returns the group of the resolved dependency

### getModuleArtifacts

    public Set getModuleArtifacts()

  Returns the module artifacts belonging to this ResolvedDependency. A module artifact is an artifact that belongs to a ResolvedDependency independent of a particular parent. Returns never null.

### getName

    public java.lang.String getName()

  Returns the name of the resolved dependency.

### getParentArtifacts

    public Set getParentArtifacts(ResolvedDependency parent)

  Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent. Returns never null.
  param:
    parent A parent of the ResolvedDependency. Must not be null.
  throws:
    org.gradle.api.InvalidUserDataException If the parent is unknown or null

### getParents

    public Set getParents()

  Returns the ResolvedDependency instances that have this instance as a transitive dependency. Returns never null.

### getVersion

    public java.lang.String getVersion()

  Returns the version of the resolved dependency.

Groovy Documentation